imagecreatefromwbmp
imagecreatefromxbm
GD and Image Functions
PHP Manual

# imagecreatefromwebp

Create a new image from file or URL

### Description

resource imagecreatefromwebp ( string `$filename` )

imagecreatefromwebp returns an image identifier representing the image obtained from the given filename.

Tip

A URL can be used as a filename with this function if the fopen wrappers have been enabled. See fopen for more details on how to specify the filename. See the Supported Protocols and Wrappers for links to information about what abilities the various wrappers have, notes on their usage, and information on any predefined variables they may provide.

### Parameters

`filename`

  Path to the WebP image.

### Return Values

Returns an image resource identifier on success, `FALSE` on errors.

### Examples

Example #1 Convert an WebP image to a jpeg image using imagecreatefromwebp

`<?php
// Load the WebP file
$im = imagecreatefromwebp('./example.webp');
// Convert it to a jpeg file with 100% quality
imagejpeg($im, './example.jpeg', 100);
imagedestroy($im);
?>`